
function SceneListMainToolList(options) {

	this.options	= options;
    
	//Object
	this.ToolList	= null;
	this.ToolListView = null;
	this.ToolListPopupView = null;
	this.ListMainToolListDim = null;
	this.MenuText	= null;	
	this.HelpBar = null;
	
	
	//flag
	this.IsUnblock		= false;
	this.SubSceneType	= null;
	this.SetMenuCount 	= 0;
	
	//data info
	this.Identity		= null;
	this.Display		= null;	
	this.Index			= null;
	this.PrevIndex 		= -1;
	this.Availability	= null;
	this.IsBuddy		= null;
	this.IsBlockedUser	= null;
	this.MenuItemArray	= new Array(7);

	//timer
    this.CloseTimer = false;

}

SceneListMainToolList.prototype.initialize = function () {
	alert("SceneListMainToolList.initialize()");
	this.create();
}

SceneListMainToolList.prototype.handleShow = function () {
	alert("SceneListMainToolList.handleShow()");
	 this.ListMainToolListDim.show();
	this.SetMenu(); 
    this.ToolList.Show();
	
	this.startTimer();

}

SceneListMainToolList.prototype.handleHide = function () {
	alert("SceneListMainToolList.handleHide()");
	 this.ListMainToolListDim.hide();

    if (this.CloseTimer == true)
    {
        this.stopTimer();
    }

}

SceneListMainToolList.prototype.handleFocus = function () {
	alert("SceneListMainToolList.handleFocus()");
	
	this.ToolList.highlight();
//	this.ToolListHelpBar.visibleObj();	
	
}

SceneListMainToolList.prototype.handleBlur = function () {
	alert("SceneListMainToolList.handleBlur()");
	
	this.ToolList.blur();
//	this.ToolListHelpBar.hiddenObj();	
}

SceneListMainToolList.prototype.handleKeyDown = function (keyCode) {
	
	alert("SceneListMainToolList.handleKeyDown(" + keyCode + ")");
	
PluginAPIMgr.PlayAudio(keyCode);
if(ProcMgr.checkWidgetHighlight()==false){
		return;
	}
	
	if(keyCode == sf.key.RETURN)
	{		
		this.processReturnKey();
			sf.key.preventDefault();
	}
	else if(keyCode == sf.key.EXIT){
		this.processReturnKey();
			sf.key.preventDefault();
	}
	else if( keyCode == 147 || keyCode == 261  || keyCode == 115  )   //infolink ,contents,wiselink
	{
		ProcMgr.processInfolinkKey(); 
	}	
	else {
		
		if(keyCode == sf.key.DOWN || keyCode == sf.key.UP)
		{
			this.resetTimer();	
		}
			
		this.ToolList.KeyProcess(keyCode);	
	}

}

///////////////////////////////////////////////////////////////////////////////////////////////////////////

SceneListMainToolList.prototype.create = function(){
    alert("SceneListMainToolList.create() ");

    this.ToolListView = new View("ListMainToolList");

    this.ToolListPopupView = new View("ListMainToolListBg");
    this.ToolListPopupView.CreatePopupBG(0,"ListMainToolListBg");
	this.ToolListPopupView.SetTitleTextofPopupBG(SID_TOOLS);


	this.ToolList = new MenuList();
	this.ToolList.CreateBG("toolList", "divide");
	this.ToolList.SetNumOfVisibleItem(7);
//	this.ToolList.SetStartDataIndex(0);
	this.ToolList.SetItemClass(MenuListItem);
	this.ToolList.SetItemBgImage(ITEM_STATE.NORMAL," ");//g_Image.IMAGE_LIST_SELECTION_NORMAL); // g_Image.IMAGE_LIST_SELECTION_SEL
	this.ToolList.SetItemBgImage(ITEM_STATE.NORMAL_UP,null); // g_Image.IMAGE_LIST_SELECTION_SEL
	this.ToolList.SetItemBgImage(ITEM_STATE.NORMAL_DOWN,null); // g_Image.IMAGE_LIST_SELECTION_SEL
	this.ToolList.SetItemBgImage(ITEM_STATE.HIGHLIGHT,g_Image.IMAGE_LIST_SELECTION_HIGH); // 
	this.ToolList.SetItemDefualtTextStyle(ITEM_STATE.NORMAL,"cToolList_Text_Normal");
	this.ToolList.SetItemDefualtTextStyle(ITEM_STATE.HIGHLIGHT,"cToolList_Text_Highlight");
	this.ToolList.SetItemDisableTextStyle("cToolList_Text_Disable");
	this.ToolList.SetDataType(ITEM_DATA_TYPE.TEXT_ONLY);
	
	var scene = sf.scene.get("ListMainToolList");
	this.ToolList.SetItemPressedEventCallback(scene.ProcessKeyEnter);
	
	this.ListMainToolListDim = new DimBg("ListMainToolListDim", "ListMainToolList"); 
	
	//Text, Image, Diable
	var tempdata1 = ["1",null];
	var tempdata2 = ["2",null];
	var tempdata3 = ["3",null];
	var tempdata4 = ["4",null];
	var tempdata5 = ["5",null];
	var tempdata6 = ["6",null];
	var tempdata7 = ["7",null];
		
	this.ToolList.AddData(tempdata1);
	this.ToolList.AddData(tempdata2);
	this.ToolList.AddData(tempdata3);
	this.ToolList.AddData(tempdata4);
	this.ToolList.AddData(tempdata5);	
	this.ToolList.AddData(tempdata6);
	this.ToolList.AddData(tempdata7);

	this.ToolList.SetOnClickCallbackFunc(0,this.onClickEventFunc1);
	this.ToolList.SetOnClickCallbackFunc(1,this.onClickEventFunc2);
	this.ToolList.SetOnClickCallbackFunc(2,this.onClickEventFunc3);
	this.ToolList.SetOnClickCallbackFunc(3,this.onClickEventFunc4);
	this.ToolList.SetOnClickCallbackFunc(4,this.onClickEventFunc5);
	this.ToolList.SetOnClickCallbackFunc(5,this.onClickEventFunc6);
	this.ToolList.SetOnClickCallbackFunc(6,this.onClickEventFunc7);	

	this.ToolList.SetOnMouseOverCallbackFunc(0, function(){scene.processMouseOver(0);});
	this.ToolList.SetOnMouseOverCallbackFunc(1, function(){scene.processMouseOver(1);});
	this.ToolList.SetOnMouseOverCallbackFunc(2, function(){scene.processMouseOver(2);});
	this.ToolList.SetOnMouseOverCallbackFunc(3, function(){scene.processMouseOver(3);});
	this.ToolList.SetOnMouseOverCallbackFunc(4, function(){scene.processMouseOver(4);});
	this.ToolList.SetOnMouseOverCallbackFunc(5, function(){scene.processMouseOver(5);});
	this.ToolList.SetOnMouseOverCallbackFunc(6, function(){scene.processMouseOver(6);});

	this.ToolList.SetClickEventAvailable(WndMgr.MouseClickEnable);
	
	this.ToolList.ShowItem();

}


SceneListMainToolList.prototype.ProcessKeyEnter = function(){

	alert("SceneListMainToolList.ProcessKeyEnter() ");

	var scene = sf.scene.get("ListMainToolList");
	var Index = scene.ToolList.GetCurrentItem();
	var tempData = scene.ToolList.GetData(Index);
	alert("data is : " + tempData[0]);

	if(tempData[0] == IDWS_MOIP_SKYPE_VIEW_PROFILE) {//view profile
		scene.ShowVeiwProfile();
	} else if(tempData[0] == IDWS_MOIP_SEND_VOICEMAIL) {//send voicemail
		scene.SendVoicemail();
	} else if(tempData[0] == SID_RENAME) {//rename
		scene.ShowRenamePopup();
	} else if(tempData[0] == IDWS_MOIP_SKYPE_REMOVE || tempData[0] == IDWS_MOIP_SKYPE_DELETE_THIS_ENTRY) {//remove
		if(scene.SubSceneType == 0) {//listmaincontact
			scene.ShowRemoveContactPopup();
		} else {//listmainhistory
			scene.ShowRemovePopup();
		}
	} else if(tempData[0] == IDWS_MOIP_SKYPE_BLOCK || tempData[0] == IDWS_MOIP_UNBLOCKED) {//block
		scene.ShowBlockPopup();
	}else if(tempData[0]==IDWS_MOIP_POPUP_EXIT_SIGN_OUT){	//add phone contact
			scene.ShowLogoutPopup();
	}else if(tempData[0]==IDWS_MOIP_SKYPE_ADD_A_CONTACT){	//add phone contact
			scene.ShowAddContactPopup();
	}else if(tempData[0]==IDWS_MOIP_ADD_TO_CONTACTS){//add contact
		scene.ShowAddPopup();
	} 

}


SceneListMainToolList.prototype.SetMenu = function(){

	alert("SceneListMainToolList.ResetMenuText() ");
	
	//set data info
 	var Scene = sf.scene.get(WndMgr.GetMainSubSceneID());
 	
	this.Identity	= Scene.list.GetCurIdentityName();
	this.Display	= Scene.list.GetCurDisplayName();
	this.Index		= Scene.list.GetCurIndex();
	
	
	alert("Identity = " + this.Identity);	

	this.Availability	= parseInt(PluginAPIMgr.GetContactAvailabilityWithName(this.Identity));
	this.IsBuddy 		= PluginAPIMgr.IsMyBuddy(this.Identity);
	this.IsBlockedUser	= PluginAPIMgr.IsBlocked(this.Identity);

	//alert("IsBuddy = " + this.IsBuddy);
	//alert("IsBlockedUser = " + this.IsBlockedUser);
	
	this.SetMenuCount = 0;
	this.SetVeiwProfileMenu(this.SetMenuCount);
	this.SetSendVoicemailMenu(this.SetMenuCount);

	this.SubSceneType = WndMgr.GetMainSubIndex();
	switch(this.SubSceneType) {

		case 0:
			this.SetRenameMenu(this.SetMenuCount);
			this.SetRemoveMenu(this.SetMenuCount);
			this.SetBlockMenu(this.SetMenuCount);
			this.SetLogoutMenu(this.SetMenuCount);
			this.SetAddContactMenu(this.SetMenuCount);
			break;			
		case 1:
			this.SetAddToContaxctMenu(this.SetMenuCount);
			this.SetBlockMenu(this.SetMenuCount);
			this.SetRemoveMenu(this.SetMenuCount);	
			this.SetLogoutMenu(this.SetMenuCount);
//			this.SetBlankMenu(this.SetMenuCount);
//			this.Index = Scene.list.GetCurChatName(); 
			break;
		case 2:
			this.SetAddToContaxctMenu(this.SetMenuCount);
			this.SetBlockMenu(this.SetMenuCount);
			this.SetRemoveMenu(this.SetMenuCount);
			this.SetLogoutMenu(this.SetMenuCount);	
//			this.SetBlankMenu(this.SetMenuCount);
			break;
	}
	for( ; this.SetMenuCount < 7; this.SetMenuCount++)
		this.SetBlankMenu(this.SetMenuCount);
}


SceneListMainToolList.prototype.SetVeiwProfileMenu = function(Index){

	//TEMPCODE: check previous status. do not try in same status.
	this.MenuItemArray[Index] = [IDWS_MOIP_SKYPE_VIEW_PROFILE ,null];
	this.ToolList.ChangeData(Index,this.MenuItemArray[Index]);
	this.ToolList.SetEnableItem(Index);
	this.SetMenuCount++;
}

SceneListMainToolList.prototype.SetSendVoicemailMenu = function(Index){

	//TEMPCODE:
	this.MenuItemArray[Index] = [IDWS_MOIP_SEND_VOICEMAIL ,null];
	this.ToolList.ChangeData(Index,this.MenuItemArray[Index]);


	var MyCapability = parseInt(PluginAPIMgr.GetAccountCapability(ENUM_CONTACT_CAPABILITY.CAPABILITY_VOICEMAIL));
	var YourCapability = PluginAPIMgr.HasVoiceMailCapability(this.Identity);

//	alert("Capability = " + MyCapability);
//	alert("YourCapability = " + YourCapability);
		
	//Set Disable if Blocked user & added user & pstn number & no capablility of voicemail 
	if(	this.IsBuddy == false || 
		this.Availability == ENUM_CONTACT_AVAILABILITY.BLOCKED || 
		this.Availability == ENUM_CONTACT_AVAILABILITY.BLOCKED_SKYPEOUT ||
	 	this.Availability == ENUM_CONTACT_AVAILABILITY.UNKNOWN ||
	 	this.Availability == ENUM_CONTACT_AVAILABILITY.SKYPEOUT ||		
		(MyCapability == ENUM_CAPABILITY_STATUS.NO_CAPABILITY && YourCapability == false)){
			
//		this.ToolList.SetDisableItem(Index); 
	}
	else{
				
		this.ToolList.SetEnableItem(Index); 
		this.SetMenuCount++;
	}

}


SceneListMainToolList.prototype.SetRenameMenu = function(Index){

	this.MenuItemArray[Index] = [SID_RENAME ,null];
	this.ToolList.ChangeData(Index,this.MenuItemArray[Index]);
	this.ToolList.SetEnableItem(Index);
	this.SetMenuCount++;
}

SceneListMainToolList.prototype.SetRemoveMenu = function(Index){

	//TEMPCODE:
	if(this.SubSceneType == 0){

		if(this.Availability == ENUM_CONTACT_AVAILABILITY.UNKNOWN || 
			this.Identity == 'echo123'){
				
//			this.ToolList.SetDisableItem(3);
		}
		else {
			this.MenuItemArray[Index] = [IDWS_MOIP_SKYPE_REMOVE ,null];	
			this.ToolList.ChangeData(Index,this.MenuItemArray[Index]);
			
			this.ToolList.SetEnableItem(Index);
			this.SetMenuCount++;
		}

	}
	else if(this.SubSceneType >= 1){

		this.MenuItemArray[Index] = [IDWS_MOIP_SKYPE_DELETE_THIS_ENTRY, null];
		this.ToolList.ChangeData(Index,this.MenuItemArray[Index]);
		this.ToolList.SetEnableItem(Index);	
		this.SetMenuCount++;
		
	}

}

SceneListMainToolList.prototype.SetBlockMenu = function(Index){
	
	//TEMPCODE: no relationship with buddy
	if(this.IsBlockedUser == 1){
		
		this.MenuItemArray[Index] = [IDWS_MOIP_UNBLOCKED,null]; 
		this.ToolList.ChangeData(Index,this.MenuItemArray[Index]);
		
		this.IsUnblock	= true;		
		this.ToolList.SetEnableItem(Index);	
		this.SetMenuCount++;
	}
	else if(this.Availability == ENUM_CONTACT_AVAILABILITY.UNKNOWN || this.Identity == 'echo123'){
/*
		var tempdata = [IDWS_MOIP_SKYPE_BLOCK,null];
		this.ToolList.ChangeData(Index,tempdata);

		this.ToolList.SetDisableItem(Index);	
*/
		this.IsUnblock	= false;
	}
	else{

		this.MenuItemArray[Index] = [IDWS_MOIP_SKYPE_BLOCK,null];
		this.ToolList.ChangeData(Index,this.MenuItemArray[Index]);
		
		this.IsUnblock	= false;
		this.ToolList.SetEnableItem(Index);
		this.SetMenuCount++;
	}
		

}

SceneListMainToolList.prototype.SetAddToContaxctMenu = function(Index){

	if(this.IsBuddy == true || this.IsBlockedUser == 1 || this.Identity == 'echo123'){
		
//		this.ToolList.SetDisableItem(Index);
	}
	else{
		
		this.MenuItemArray[Index] = [IDWS_MOIP_ADD_TO_CONTACTS ,null];
		this.ToolList.ChangeData(Index,this.MenuItemArray[Index]);
	
		this.ToolList.SetEnableItem(Index);
		this.SetMenuCount++;
	}
}

SceneListMainToolList.prototype.SetLogoutMenu = function(Index){

	this.MenuItemArray[Index] = [IDWS_MOIP_POPUP_EXIT_SIGN_OUT ,null];
	this.ToolList.ChangeData(Index,this.MenuItemArray[Index]);
	this.ToolList.SetEnableItem(Index);
	this.SetMenuCount++;

}

SceneListMainToolList.prototype.SetAddContactMenu = function(Index){

	this.MenuItemArray[Index] = [IDWS_MOIP_SKYPE_ADD_A_CONTACT ,null];
	this.ToolList.ChangeData(Index,this.MenuItemArray[Index]);
	this.ToolList.SetEnableItem(Index);
	this.SetMenuCount++;

}

SceneListMainToolList.prototype.SetBlankMenu = function(Index){

	// alert("SceneListMainToolList.SetBlankMenu -- " + Index);
	var tempdata = [" " ,null];
	this.ToolList.ChangeData(Index,tempdata);
	this.ToolList.SetDisableItem(Index);
	
}

SceneListMainToolList.prototype.ShowVeiwProfile = function(){

	//StateMgr.Stop_List_Tools_State(false);
	StateMgr.Start_View_Profile_State(this.Identity);
	
}


SceneListMainToolList.prototype.ShowBlockPopup = function(){

	//StateMgr.Stop_List_Tools_State(false);
		
	var type;
	
	if(this.IsUnblock){
		
		if(this.SubSceneType == 0){
			type = MAIN_LIST_POPUP_FUNCTION_TYPE.CONTACT_UNBLOCK;
		}
		else if(this.SubSceneType >= 1){
			type = MAIN_LIST_POPUP_FUNCTION_TYPE.HISTORY_UNBLOCK;
		}
	}
	else{

		if(this.SubSceneType == 0){
			type = MAIN_LIST_POPUP_FUNCTION_TYPE.CONTACT_BLOCK;
		}
		else if(this.SubSceneType >= 1){
			type = MAIN_LIST_POPUP_FUNCTION_TYPE.HISTORY_BLOCK;
		}
		
	}
		
	StateMgr.Start_Block_State(type,this.Identity,this.Display);
	
}

SceneListMainToolList.prototype.ShowRenamePopup = function(){

	//StateMgr.Stop_List_Tools_State(false);
	StateMgr.Start_Rename_State(this.Identity);
			
}

SceneListMainToolList.prototype.ShowRemovePopup = function(){

	//StateMgr.Stop_List_Tools_State(false);
//	StateMgr.Start_Remove_State(this.SubSceneType,this.Identity,this.Display,this.Index);
	StateMgr.Start_Remove_State(this.Index);

}


SceneListMainToolList.prototype.ShowRemoveContactPopup = function(){

	//StateMgr.Stop_List_Tools_State(false);
	StateMgr.Start_Remove_Contact_State(this.Identity,this.Display);

}



SceneListMainToolList.prototype.SendVoicemail = function(){

	//Check!!!!
	/*
	var Scene = sf.scene.get(WndMgr.GetMainSubSceneID());	
		Scene.Activation();*/
	
	 	
	StateMgr.Stop_List_Tools_State(false);   
	ProcMgr.LeaveVoicemail(this.Identity);

}

SceneListMainToolList.prototype.ShowAddPopup = function(){

	var IS_PSTN = PluginAPIMgr.GetHistoryPropWithIndex(this.Index,ENUM_HISTORY_PROPERTY.P_IS_PSTN);
	
	if(IS_PSTN == '1'){
		alert("AddSkypeOutContact(" + this.Identity + ")");
		PluginAPIMgr.AddSkypeOutContact(this.Identity,"");
	}
	else{
		alert("AddContact(" + this.Identity + ")");
		PluginAPIMgr.AddContact(this.Identity, "");
	}

	StateMgr.Stop_List_Tools_State(false);

	WndMgr.StartOneBottonPopup(OneBtnPopupIndex.ADD_REMOVED_CONTACT);
		
}


SceneListMainToolList.prototype.processReturnKey = function(){

	//check
	/*
	var Scene = sf.scene.get(WndMgr.GetMainSubSceneID());	
		Scene.Activation();*/
	
	    	 
	StateMgr.Stop_List_Tools_State(true);
}


SceneListMainToolList.prototype.startTimer = function()
{
    alert("SceneListMainToolList.startTimer() ");
	
	this.CloseTimer = true;
	PluginAPIMgr.StartOSDTimer("60000" , function() { sf.scene.get('ListMainToolList').popupTimerCallback();}, ENUM_TIMER_TYPE.POPUP_WND);
}

SceneListMainToolList.prototype.resetTimer = function()
{
    alert("SceneListMainToolList.resetTimer() ");

	if(this.CloseTimer == true)
	{
		PluginAPIMgr.RestartOSDTimer("60000" ,ENUM_TIMER_TYPE.POPUP_WND);
	}
}

SceneListMainToolList.prototype.stopTimer = function()
{
    alert("SceneListMainToolList.stopTimer() ");
	
	this.CloseTimer = false;
	PluginAPIMgr.StopOSDTimer(ENUM_TIMER_TYPE.POPUP_WND);
}

SceneListMainToolList.prototype.popupTimerCallback = function()
{
	alert("SceneListMainToolList.popupTimerCallback() ");
   if(this.CloseTimer==false)
   {
   	return
   }
   this.CloseTimer = false;
   
   this.processReturnKey();
}

SceneListMainToolList.prototype.ShowLogoutPopup = function(){

	//check
	/*
	var Scene = sf.scene.get(WndMgr.GetMainSubSceneID());	
		Scene.Activation();*/
	

	StateMgr.Start_Signout_State();			
}

SceneListMainToolList.prototype.ShowAddContactPopup = function(){

	//check
	/*
	var Scene = sf.scene.get(WndMgr.GetMainSubSceneID());	
		Scene.Activation();*/
	

	StateMgr.Start_Add_Contact_State();
}

SceneListMainToolList.prototype.processMouseOver = function(ItemIndex)
{
	alert("SceneListMainToolList.processMouseOver --" + ItemIndex);

	if(ItemIndex < 0 || ItemIndex > 6 || this.PrevIndex == ItemIndex)
	{
		alert("ItemIndex only 0~6, and PrevIndex == ItemIndex"); 
		return;
	}

	this.PrevIndex = ItemIndex;
	this.ToolList.SetCurrentItem(ItemIndex);
}

SceneListMainToolList.prototype.onClickEventFunc = function(Index){

	alert("SceneListMainToolList.ProcessKeyEnter() ");

	var scene = sf.scene.get("ListMainToolList");
	var tempData = this.MenuItemArray[Index];
	alert("data is : " + tempData[0]);

	if(tempData[0] == IDWS_MOIP_SKYPE_VIEW_PROFILE) {//view profile
		scene.ShowVeiwProfile();
	} else if(tempData[0] == IDWS_MOIP_SEND_VOICEMAIL) {//send voicemail
		scene.SendVoicemail();
	} else if(tempData[0] == SID_RENAME) {//rename
		scene.ShowRenamePopup();
	} else if(tempData[0] == IDWS_MOIP_SKYPE_REMOVE || tempData[0] == IDWS_MOIP_SKYPE_DELETE_THIS_ENTRY) {//remove
		if(scene.SubSceneType == 0) {//listmaincontact
			scene.ShowRemoveContactPopup();
		} else {//listmainhistory
			scene.ShowRemovePopup();
		}
	} else if(tempData[0] == IDWS_MOIP_SKYPE_BLOCK || tempData[0] == IDWS_MOIP_UNBLOCKED) {//block
		scene.ShowBlockPopup();
	}else if(tempData[0]==IDWS_MOIP_POPUP_EXIT_SIGN_OUT){	//add phone contact
			scene.ShowLogoutPopup();
	}else if(tempData[0]==IDWS_MOIP_SKYPE_ADD_A_CONTACT){	//add phone contact
			scene.ShowAddContactPopup();
	}else if(tempData[0]==IDWS_MOIP_ADD_TO_CONTACTS){//add contact
		scene.ShowAddPopup();
	} 

}

SceneListMainToolList.prototype.onClickEventFunc1 = function(){
	
	alert("SceneListMainToolList.onClickEventFunc1() ");

	var This_ = sf.scene.get("ListMainToolList");
	This_.onClickEventFunc(0);
}

SceneListMainToolList.prototype.onClickEventFunc2 = function(){

	alert("SceneListMainToolList.onClickEventFunc2() ");
	
	var This_ = sf.scene.get("ListMainToolList");
	This_.onClickEventFunc(1);
}

SceneListMainToolList.prototype.onClickEventFunc3 = function(){
	
	alert("SceneListMainToolList.onClickEventFunc3() ");	

	var This_ = sf.scene.get("ListMainToolList");	
	This_.onClickEventFunc(2);
}

SceneListMainToolList.prototype.onClickEventFunc4 = function(){
	
	alert("SceneListMainToolList.onClickEventFunc4() ");	

	var This_ = sf.scene.get("ListMainToolList");	
	This_.onClickEventFunc(3);
}

SceneListMainToolList.prototype.onClickEventFunc5 = function(){

	alert("SceneListMainToolList.onClickEventFunc5() ");	

	var This_ = sf.scene.get("ListMainToolList");	
	This_.onClickEventFunc(4);
}

SceneListMainToolList.prototype.onClickEventFunc6 = function(){
	
	alert("SceneListMainToolList.onClickEventFunc6() ");	
	
	var This_ = sf.scene.get("ListMainToolList");
	This_.onClickEventFunc(5);

}

SceneListMainToolList.prototype.onClickEventFunc7 = function(){
	
	alert("SceneListMainToolList.onClickEventFunc7() ");	

	var This_ = sf.scene.get("ListMainToolList");
	This_.onClickEventFunc(6);
}

